org.apache.tinkerpop.gremlin.structure

## Class PropertyTest.PropertyValidationOnAddExceptionConsistencyTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.structure.PropertyTest.PropertyValidationOnAddExceptionConsistencyTest

- Enclosing class:
    PropertyTest

      public static class PropertyTest.PropertyValidationOnAddExceptionConsistencyTest
      extends AbstractGremlinTest

  Checks that properties added to an `Element` are validated in a consistent way when they are added at `Vertex` or `Edge` construction by throwing an appropriate exception.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Object[]` | `arguments`
    `Exception` | `expectedException`
    `String` | `name`

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertyValidationOnAddExceptionConsistencyTest()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Iterable<Object[]>` | `data()`
    `void` | `shouldThrowOnGraphAddEdge()`
    `void` | `shouldThrowOnGraphAddVertex()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### name

          public String name

    - #### arguments

          public Object[] arguments

    - #### expectedException

          public Exception expectedException

  - ### Constructor Detail

    - #### PropertyValidationOnAddExceptionConsistencyTest

          public PropertyValidationOnAddExceptionConsistencyTest()

  - ### Method Detail

    - #### data

          public static Iterable<Object[]> data()

    - #### shouldThrowOnGraphAddVertex

          public void shouldThrowOnGraphAddVertex()
                                           throws Exception

      Throws:
        `Exception`

    - #### shouldThrowOnGraphAddEdge

          public void shouldThrowOnGraphAddEdge()
                                         throws Exception

      Throws:
        `Exception`

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.